Skip to content

Setup Org Mandate

POST
/billing/org/{slug}/setup-mandate
curl --request POST \
--url https://api.mengi.cloud/billing/org/example/setup-mandate \
--header 'Content-Type: application/json' \
--data '{}'

Set up (or update) the organization’s payment mandate. Resources owned by the organization bill this subscription. Requires ADMIN or OWNER.

slug
required
Slug
string
Media typeapplication/json
MandateSetupRequest
object
redirect_path
Any of:
string

Successful Response

Media typeapplication/json
MandateSetupResponse
object
checkout_url
required
Checkout Url
string
Examplegenerated
{
"checkout_url": "example"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}